#include <iostream>
#include<math.h>
#include<vector>
using namespace std;
main()
{
    long int T,s=1,br=0;
    vector<int>A;
    cin>>T;
    A.push_back(1);
    for(int i=0;i<T;i++)
    {
        long int N,M;
        cin>>N;
        M=N;
        for(int j=1;j<=M;j++)
        {
            int k=j;
            while(j>0)
            {
                s*=j%10;
                j=j/10;
            }
            j=k;
            for(int x:A)
            {
                if(s==x)
                {
                    br++;
                    break;
                }
            }
            if(br==0)
                A.push_back(s);
            br=0;
            s=1;
        }
        cout<<A.size()<<endl;
    }
    system("pause");
}